
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef DASH_EXECUTOR_H
#define DASH_EXECUTOR_H

#define RUN_OUTPUTINFO 5                    /* Output info every X seconds. (or when program ends) */
#define RUN_TIMEOUT_WARN 60                 /* Try to run daemon X seconds, keep in mind it only checks every RUN_OUTPUTINFO */

int dash_initialize();
void evalstring(char *);
void exitshell(void) __attribute__ ((__noreturn__));
void setupvars();
extern char *commandname;

char **argv_alloc(unsigned count);
void dash_this(char *dash_code, active_h * s);

#endif
