/*
 * splash.c - The core of splash_util
 *
 * Copyright (C) 2004, Michal Januszewski <spock@gentoo.org>
 * 
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file COPYING in the main directory of this archive for
 * more details.
 *
 * $Header: /srv/cvs/splash/utils/splash.c,v 1.17 2005/01/16 09:39:58 spock Exp $ 
 * 
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <linux/fb.h>
#include <linux/kd.h>
#include <linux/vt.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <termios.h>
#include <sys/ioctl.h>
#include <getopt.h>
#include <unistd.h>

#include "libsplash.h"


int main(int argc, char **argv)
{
    int i;
    printf("state: %i\n", get_state());
    printf("mode: %i\n", get_mode());
    for (i = 0; i < 65000; i = i + 1000)
        set_progress("default", i);
}
