#ifndef INITNG_PLUGIN
#define INITNG_PLUGIN
#include "initng_plugin_type.h"
#include "initng_system_states.h"
#include "initng_poll.h"
typedef union
{
    void *hook;
    service_h *(*parser) (char *to_parse);
    void (*watcher) (active_h * service);
    void (*swatcher) (h_sys_state state);
    void (*pipewatcher) (active_h * service, int datalen, int forceflush);
    int (*launcher) (active_h * service);
    void (*main) (void);
    f_module_h fdh;
} uc;

typedef struct
{
    e_ptype ptype;
    uc c;
} s_callers;
#endif
