#ifndef INITNG_PLUGIN_CALLERS
#define INITNG_PLUGIN_CALLERS
#include "service_db.h"
#include "active_db.h"
#include "initng_global.h"
#include "initng_system_states.h"

service_h *initng_modules_parse(char *name);
void initng_load_module_service_changed(active_h * service);
void initng_load_module_system_changed(h_sys_state state);
int initng_plugin_fd_poll(int timeout);
int initng_plugin_launch_stop(active_h * service);
int initng_plugin_launch_start(active_h * service);
void initng_plugin_main(void);
void initng_close_all_fd(void);
void initng_process_readpipe(active_h * process, int program_end);
#endif
