
service system/laptop {
	need = system/initial system/mountfs
start {
    if [ -d /proc/acpi/ac_adapter ]; then 
        grep -q off-line /proc/acpi/ac_adapter/*/state >/dev/null 2>&1
        if [ $? = 0 ]
        then
                /usr/sbin/laptop-mode start
                /sbin/hdparm -S 12 /dev/hda
                /sbin/hdparm -B 1 /dev/hda
        fi
    fi
}
stop {
    if [ -d /proc/acpi/ac_adapter ]; then
        grep -q off-line /proc/acpi/ac_adapter/*/state >/dev/null 2>&1
        if [ $? = 0 ]
        then
                /sbin/hdparm -B 255 /dev/hda
                /usr/sbin/laptop-mode stop
        fi
    fi
}

}        

