
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef SERVICE_DATA_TYPES_H
#define SERVICE_DATA_TYPES_H

#include "static_data_id.h"

typedef enum
{ TYPE_NO, TYPE_SERVICE, TYPE_CLASS, TYPE_RUNLEVEL } e_type;

typedef int e_sdt;


typedef enum
{
    U_D_T,
    STRING,
    STRINGS,
    SET,
    UNSET,
    SCRIPT,
    INT
} e_dt;

typedef struct
{
    e_sdt opt_id;
    e_dt opt_type;
    char *opt_name;
    int chars;
} s_data_row;


e_sdt initng_sdt_add(e_dt d_type, char *name, int e_sdt);
void initng_sdt_del(e_sdt id);
e_sdt initng_sdt_find(char *name, e_dt type);
void initng_sdt_add_defaults(void);
void initng_sdt_free_all(void);
#endif
