
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef STATIC_DATA_ID_H
#define STATIC_DATA_ID_H

#define EMPTY 0
#define NAME 1
#define RESPAWN 2
#define UP_WHEN_DONE 3
#define UP_WHEN_PID_SET 4
#define UP_WHEN_STARTED 5
#define DAEMON 6
#define DAEMON_ARGS 7
#define START 8
#define START_ARGS 9
#define START_SCRIPT 10
#define STOP 11
#define STOP_ARGS 12
#define STOP_SCRIPT 13
#define PID_FILE 14
#define NEED 15
#define BEFORE 16
#define USE 17
#define PROVIDE 18
#define RDEPENDS 19
#define FROM_FILE 20
#define ENV 21
#define NICE 22
#define SUID 23
#define UDELAY 24
#define DELAY 25
#define CHDIR 26
#define CHROOT 27
#define ALSO_STOP 28
#define ALSO_START 29
#define DONE_WHEN_FAIL 30

#define I_AM_INIT 31
#define S_RUNLEVEL 32

#endif
