
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef STRUCT_DATA_H
#define STRUCT_DATA_H

#include "service_data_types.h"

typedef struct
{
    e_sdt type;
    e_dt dt;
    union
    {
        char *s;
        int i;
    } t;
} s_data;


char *d_get_string(e_sdt type, s_data * d);
int d_get_int(e_sdt type, s_data * d);
char *d_get_next_string(e_sdt type, s_data * d, char *last);
void d_set_another_string(e_sdt type, s_data * d, char *string);
void d_set_string(e_sdt type, s_data * d, char *string);
void d_set_int(e_sdt type, s_data * d, int value);
int d_count_type(e_sdt type, s_data * d);
int d_is(e_sdt type, s_data * d);
void d_set(e_sdt type, s_data * d);
void d_remove(e_sdt type, s_data * d);
void d_remove_all(s_data * d);

#endif
